From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-learn/
Date: Wed, 10 Apr 2024 05:36:08 +0000 (UTC) [thread overview]
Message-ID: <1712727359.20a60b6b3837c79423809fc6184388c65b744eab.mgorny@gentoo> (raw)
commit: 20a60b6b3837c79423809fc6184388c65b744eab
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 04:20:34 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 05:35:59 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20a60b6b
dev-python/scikit-learn: Bump to 1.4.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/scikit-learn/Manifest | 1 +
dev-python/scikit-learn/scikit-learn-1.4.2.ebuild | 70 +++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-python/scikit-learn/Manifest b/dev-python/scikit-learn/Manifest
index 7023e5de75af..03935f21b43f 100644
--- a/dev-python/scikit-learn/Manifest
+++ b/dev-python/scikit-learn/Manifest
@@ -1 +1,2 @@
DIST scikit-learn-1.3.2.gh.tar.gz 7650823 BLAKE2B 170699917f46d6d3f4b9ebc314bc1ec45687dad0a4aec5d2cee6e288b5dbe508bad6dd80406501f289a33593c6482067393e9dc28155f85a4872a34523bf4199 SHA512 a3799e9b39b755a50ba225f836904a378f7d83a08274c614d0485e4d4d4a7b0c7adba2dbb6612f2ccb4e5167f872214a2853eff69d767dc70f52369bda7a230b
+DIST scikit-learn-1.4.2.gh.tar.gz 7907022 BLAKE2B d52b808ae981883438592ee9155797fedf832181b0fe66c25728aedc43143143d44af190977b22844e3322da77cd21a1ce5c733e254686722df7f4c43029192c SHA512 ac4eea3d1f1f7c7280694d59ccb1e58362e77080f65dc2d4644dc257e874d7ff0d2d5b7abeb18acffc2752382527c6e9bbf5ebc47a8a74a2fab2a543e0220951
diff --git a/dev-python/scikit-learn/scikit-learn-1.4.2.ebuild b/dev-python/scikit-learn/scikit-learn-1.4.2.ebuild
new file mode 100644
index 000000000000..fe46263664ae
--- /dev/null
+++ b/dev-python/scikit-learn/scikit-learn-1.4.2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Machine learning library for Python"
+HOMEPAGE="
+ https://scikit-learn.org/stable/
+ https://github.com/scikit-learn/scikit-learn/
+ https://pypi.org/project/scikit-learn/
+"
+SRC_URI="
+ https://github.com/scikit-learn/scikit-learn/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+IUSE="examples"
+
+DEPEND="
+ virtual/blas:=
+ virtual/cblas:=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/joblib-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.22.3[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/threadpoolctl-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pythran-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cython-3.0.8[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+# For some reason this wants to use urllib to fetch things from the internet
+# distutils_enable_sphinx doc \
+# dev-python/matplotlib \
+# dev-python/memory-profiler \
+# dev-python/numpydoc \
+# dev-python/pandas \
+# dev-python/pillow \
+# dev-python/seaborn \
+# dev-python/sphinx-gallery \
+# dev-python/sphinx-prompt \
+# dev-python/scikit-image
+
+python_test() {
+ rm -rf sklearn || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest --pyargs sklearn
+}
+
+python_install_all() {
+ find "${S}" -name \*LICENSE.txt -delete || die
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
next reply other threads:[~2024-04-10 5:36 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-10 5:36 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-13 17:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/scikit-learn/ Michał Górny
2025-04-13 15:55 Sam James
2025-04-13 15:28 Michał Górny
2025-01-25 12:25 Arthur Zamarin
2025-01-10 20:43 Michał Górny
2024-12-28 12:53 Michał Górny
2024-12-28 11:44 Sam James
2024-12-28 9:39 Arthur Zamarin
2024-12-10 4:35 Michał Górny
2024-11-02 6:32 Michał Górny
2024-11-02 1:42 Sam James
2024-09-28 13:56 Arthur Zamarin
2024-09-11 18:39 Michał Górny
2024-07-27 9:53 Michał Górny
2024-07-27 8:24 Arthur Zamarin
2024-07-27 7:00 Arthur Zamarin
2024-07-11 19:23 Michał Górny
2024-07-04 5:13 Michał Górny
2024-06-20 16:33 Michał Górny
2024-06-05 7:22 Arthur Zamarin
2024-05-22 4:49 Michał Górny
2024-05-20 16:25 Sam James
2024-05-17 6:25 Michał Górny
2024-04-24 17:15 Michał Górny
2024-04-24 16:15 Sam James
2024-04-24 16:15 Sam James
2024-04-11 11:48 Michał Górny
2020-04-01 21:04 Patrick McLean
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1712727359.20a60b6b3837c79423809fc6184388c65b744eab.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox